SK_CAPABLE(9)

NAME
sk_capable - Socket global capability test

SYNOPSIS

bool sk_capable(const struct sock * sk, int cap);

ARGUMENTS

sk
    Socket to use a capability on or through

cap
    The global capability to use

DESCRIPTION

Test to see if the opener of the socket had when the socket was created and the current process has the capability cap in all user namespaces.

COPYRIGHT